commit:     23b12a2d62ca9e7157b8083afa3e0051ccff55ca
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Mar  2 20:03:43 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Mar  2 20:07:33 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=23b12a2d

xfce-extra/xfce4-cpufreq-plugin: Bump to 1.2.5

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-extra/xfce4-cpufreq-plugin/Manifest           |  1 +
 .../xfce4-cpufreq-plugin-1.2.5.ebuild              | 37 ++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/xfce-extra/xfce4-cpufreq-plugin/Manifest 
b/xfce-extra/xfce4-cpufreq-plugin/Manifest
index 45606f5f63f..de80665e467 100644
--- a/xfce-extra/xfce4-cpufreq-plugin/Manifest
+++ b/xfce-extra/xfce4-cpufreq-plugin/Manifest
@@ -1 +1,2 @@
 DIST xfce4-cpufreq-plugin-1.2.4.tar.bz2 416385 BLAKE2B 
65df9bdd0427f5cdebe1a3427801b2ac69fa04a1b6da069c15a7463927101a6744e99207de69bd8ed6f0a92259fcaaa34a25e7cb26b74f82a9bfad38ddab8cda
 SHA512 
6aad36cf44ebde55e9d05cabe8547e9335188749ce92317c949c00577b04a80f2239c03664802ef386a06a2c24c433a515dc598ea36c9299766a5e56b5ae6ae4
+DIST xfce4-cpufreq-plugin-1.2.5.tar.bz2 424858 BLAKE2B 
2d93e9f3e591cb3f97289b3a449e4a3494a4bcefe97ad481ab46d0c1b749a85b068cc8e6ecad5ed0d591516cf996d7ab901cf21bcfbb63c28f5b28f4e7e01a3e
 SHA512 
4a098861875f2a413e8d3778e4eef709f00efc87d9cd76ddab22462653ec21f4b8756c421e3f0726c56f151f0e637e27d2c80c4b09ab8ecb419e00bb108d3b80

diff --git a/xfce-extra/xfce4-cpufreq-plugin/xfce4-cpufreq-plugin-1.2.5.ebuild 
b/xfce-extra/xfce4-cpufreq-plugin/xfce4-cpufreq-plugin-1.2.5.ebuild
new file mode 100644
index 00000000000..0c6ed8e23b6
--- /dev/null
+++ b/xfce-extra/xfce4-cpufreq-plugin/xfce4-cpufreq-plugin-1.2.5.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit xdg-utils
+
+DESCRIPTION="A panel plugin for showing information about cpufreq settings"
+HOMEPAGE="https://goodies.xfce.org/projects/panel-plugins/xfce4-cpufreq-plugin";
+SRC_URI="https://archive.xfce.org/src/panel-plugins/${PN}/${PV%.*}/${P}.tar.bz2";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+
+RDEPEND=">=dev-libs/glib-2.20:=
+       >=x11-libs/gtk+-3.20:3=
+       >=xfce-base/libxfce4ui-4.14:=
+       >=xfce-base/xfce4-panel-4.12:="
+DEPEND="${RDEPEND}"
+BDEPEND="
+       dev-util/intltool
+       sys-devel/gettext
+       virtual/pkgconfig"
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+}

Reply via email to